var five = require("../lib/johnny-five.js"),
    board, buzzer, led, leds, light, button;

board = new five.Board();

board.on("ready", function() {
  // Button is pre-attached to pin 7
  button = new five.Button(7);

  // Buzzer/Piezo is pre-attached to pin 2
  buzzer = new five.Piezo(2);

  // Setup RGB leds
  // Red: 3,
  // Green: 5,
  // Blue: 6
  led = {
    red: new five.Led(3),
    green: new five.Led(5),
    blue: new five.Led(6)
  };

  leds = new five.Led.Array();

  // Light sensor is pre-attached to Analog-0
  light = new five.Sensor("A0");

  button.on("press", function() {
    console.log( "Hi!" );
  });

  // Make all the things available in the REPL session
  this.repl.inject({
    button: button,
    buzzer: buzzer,
    led: led,
    leds: leds,
    light: light
  });

  console.log( leds );
});
